type FormDataConvertible = string | number | boolean | File | Blob | null | undefined;

export interface CreateProjectForm extends Record<string, FormDataConvertible> {
    entity_type: string;
    lifecycle: string;
    name: string;
    owner: string;
}
export interface Project {
    id?: number;
    owner: string;
    name: string;
    lifecycle: string;
    entity_type: string;
    year?: number;
    state?: string;
    status?: string;
    qualifying_technologies?: {
        id: number;
        project_id: number;
        technology: string;
        locations: {
            technology_id: number;
            city: string;
            state: string;
        }[];
    }[];
}
